package com.sampleapp;

import java.net.HttpURLConnection;
import java.net.URL;
import java.net.URLConnection;

import android.app.Activity;
import android.os.AsyncTask;
import android.os.Bundle;
import android.util.Log;
import android.view.KeyEvent;
import android.view.View;
import android.widget.Button;

public class SampeApp extends Activity {
    /** Called when the activity is first created. */
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
        
        final Button buttonTest = (Button) findViewById(R.id.test);
        
        buttonTest.setOnClickListener(new View.OnClickListener() {
            public void onClick(View v) {
            	onTest();
            }
        });        
    }
    
    private void onTest() {
    	final AsyncTask<Object, String, Boolean> task;
        task = new ExecuteThreadTask();
        task.execute();
    }
    
	public boolean onKeyDown(int keyCode, KeyEvent msg) {
		if (keyCode == KeyEvent.KEYCODE_CAMERA) {
			return true;
        } else if (keyCode == KeyEvent.KEYCODE_CALL) {
        	return true;
		} else if (keyCode == KeyEvent.KEYCODE_BACK) {
			finish();
			return true;
		}
		return false;
	}
	
	@Override
	protected void onDestroy() {
		super.onDestroy();
	} 
	
	public class ExecuteThreadTask extends AsyncTask<Object, String, Boolean>
	{		
        protected Boolean doInBackground(Object... items) {
        	        	
        	try {
        		final String urlString = new String("ENTER URL HERE");
        		final URL url = new URL( urlString );
        		final URLConnection ucon = url.openConnection();
        		final HttpURLConnection httpConn = (HttpURLConnection) ucon;
        		httpConn.setRequestMethod("GET");
        		httpConn.connect();
        		final int responseCode = httpConn.getResponseCode();	
        		Log.i(TAG,"RESPONSE CODE: " + responseCode );
        		httpConn.disconnect();
        	} catch ( Exception e ) {
        		Log.i( TAG, "ERROR: ", e );
        	}
        	
			return true;
        }
        	
        @Override
        protected void onProgressUpdate(String... progress) {
        }           
        
        @Override
        protected void onPreExecute() {
        }

        @Override
        protected void onPostExecute(Boolean result) {
        }        
        
        @Override
        protected void onCancelled() {
        }
	}	
	
	private static final String TAG = "SampeApp";
}